Method: projects.locations.instances.restore

instances.restore restores an Instance from a BackupSource.

HTTP request

POST https://notebooks.googleapis.com/v2/{name}:restore

Path parameters

Parameters
name

string

Required. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Authorization requires the following IAM permission on the specified resource name:

  • notebooks.instances.update

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "snapshot": {
    object (Snapshot)
  }
  // End of mutually exclusive fields.
}
Fields
Source to be restored from. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
snapshot

object (Snapshot)

Snapshot to be used for restore.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

For more information, see the Authentication Overview.

Snapshot

Snapshot represents the snapshot of the data disk used to restore the Workbench Instance from. Refers to: compute/v1/projects/{projectId}/global/snapshots/{snapshotId}

JSON representation
{
  "snapshotId": string,
  "projectId": string
}
Fields
snapshotId

string

Required. The ID of the snapshot.

projectId

string

Required. The project ID of the snapshot.